import * as React from 'react'

export interface PresentationItemProps {
    children: React.ReactNode
    presentationItemRef?: React.RefObject<HTMLDivElement>
}
export default function PresentationItem (props: PresentationItemProps): JSX.Element {
    if (props.presentationItemRef === undefined) {
        return (
            <div className="presentation-item">
                {props.children}
            </div>
        )
    }
    return (
        <div ref={props.presentationItemRef} className="presentation-item">
            {props.children}
        </div>
    )
}
